Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO Namespace Reference

## Compounds
interface | Activator_Callback
| A call back interface for ComponentServer. More...
class | Activator_Callback_Impl
exception | AlreadyBound
class | ComponentInstallation_Impl
| Servant implementation for Components::Deployment::ComponentInstallation. More...
class | ComponentServer_Impl
| Servant implementation for Components::Deployment::ComponentServer. More...
class | Container
| Common container interface definition. More...
class | Container_Impl
| Servant implementation for Components::Deployment::Container. More...
interface | Cookie
struct | home_installation_info
exception | HomeRegisterFailure
interface | HomeRegistrar
class | HomeRegistrar_Impl
exception | InvalidName
class | Map_Key_Cookie
| A CIAO internal Cookie valuetype implementation. More...
class | Map_Key_Cookie_init
class | Object_Set
| A helper template class for maintaining and managing a set of object reference. More...
class | ServerActivator_Impl
| Servant implementation for Components::Deployment::ServerActivator. More...
class | Session_Container
## Typedefs
typedef ACE_Active_Map_Manager< CORBA::Object_var > | Active_Objref_Map
typedef ::Components::HomeExecutorBase_ptr(* | HomeFactory )(void)
typedef ::PortableServer::Servant(* | ServantFactory )(::Components::HomeExecutorBase_ptr p,::CIAO::Session_Container *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Functions
| CIAO_CONTAINER_SINGLETON_DECLARATION (ACE_Active_Map_Manager< CORBA::Object_var >)
CIAO_CLIENT_Export int | Client_init (CORBA::ORB_ptr o)
CIAO_SERVER_Export int | Server_init (CORBA::ORB_ptr o)

## Typedef Documentation

typedef ACE_Active_Map_Manager<CORBA::Object_var> CIAO::Active_Objref_Map

typedef ::Components::HomeExecutorBase_ptr(* CIAO::HomeFactory)(void)

typedef ::PortableServer::Servant(* CIAO::ServantFactory)(::Components::HomeExecutorBase_ptr p, ::CIAO::Session_Container *c ACE_ENV_ARG_DECL_WITH_DEFAULTS)

## Function Documentation

CIAO_CONTAINER_SINGLETON_DECLARATION | ( | ACE_Active_Map_Manager< CORBA::Object_var > |  | ) |

int CIAO::Client_init | ( | CORBA::ORB_ptr | o | ) |

| The initialize routine for any clients that need to access component. This routine now simply registers various valuetype factories defined in CIAO_Component.pidl. Currently, this method should be call right after ORB initialization but we should try to register these stuff automatically.

int CIAO::Server_init | ( | CORBA::ORB_ptr | o | ) |

| The initialize routine for any server that need to access component. This routine now simply registers various valuetype factories defined in CIAO_Component.pidl. Currently, this method should be call right after ORB initialization but we should try to register these stuff automatically.